package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BBusiMbtiQuestionsMapper;
import com.ruoyi.syzy.domain.BBusiMbtiQuestions;
import com.ruoyi.syzy.service.IBBusiMbtiQuestionsService;

/**
 * MBTI测评题目Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@Service
public class BBusiMbtiQuestionsServiceImpl implements IBBusiMbtiQuestionsService {
    @Autowired
    private BBusiMbtiQuestionsMapper bBusiMbtiQuestionsMapper;

    /**
     * 查询MBTI测评题目
     * 
     * @param id MBTI测评题目ID
     * @return MBTI测评题目
     */
    @Override
    public BBusiMbtiQuestions selectBBusiMbtiQuestionsById(Long id) {
        return bBusiMbtiQuestionsMapper.selectBBusiMbtiQuestionsById(id);
    }

    /**
     * 查询MBTI测评题目列表
     * 
     * @param bBusiMbtiQuestions MBTI测评题目
     * @return MBTI测评题目
     */
    @Override
    public List<BBusiMbtiQuestions> selectBBusiMbtiQuestionsList(BBusiMbtiQuestions bBusiMbtiQuestions) {
        return bBusiMbtiQuestionsMapper.selectBBusiMbtiQuestionsList(bBusiMbtiQuestions);
    }

    /**
     * 新增MBTI测评题目
     * 
     * @param bBusiMbtiQuestions MBTI测评题目
     * @return 结果
     */
    @Override
    public int insertBBusiMbtiQuestions(BBusiMbtiQuestions bBusiMbtiQuestions) {
        return bBusiMbtiQuestionsMapper.insertBBusiMbtiQuestions(bBusiMbtiQuestions);
    }

    /**
     * 修改MBTI测评题目
     * 
     * @param bBusiMbtiQuestions MBTI测评题目
     * @return 结果
     */
    @Override
    public int updateBBusiMbtiQuestions(BBusiMbtiQuestions bBusiMbtiQuestions) {
        return bBusiMbtiQuestionsMapper.updateBBusiMbtiQuestions(bBusiMbtiQuestions);
    }

    /**
     * 批量删除MBTI测评题目
     * 
     * @param ids 需要删除的MBTI测评题目ID
     * @return 结果
     */
    @Override
    public int deleteBBusiMbtiQuestionsByIds(Long[] ids) {
        return bBusiMbtiQuestionsMapper.deleteBBusiMbtiQuestionsByIds(ids);
    }

    /**
     * 删除MBTI测评题目信息
     * 
     * @param id MBTI测评题目ID
     * @return 结果
     */
    @Override
    public int deleteBBusiMbtiQuestionsById(Long id) {
        return bBusiMbtiQuestionsMapper.deleteBBusiMbtiQuestionsById(id);
    }
}
